Subject: Re: bug#11524: ping on automake bug#11524

From: Stefano Lattarini <[email-masked]>
Date: Wed, 21 Nov 2012 11:11:42 +0100

Reference:
<http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11524>

On 09/12/2012 09:33 AM, Stefano Lattarini wrote:
> On 09/12/2012 09:12 AM, Dagobert Michelsen wrote:
>> Hi Stefano,
>>
> Hi Dagobert, thanks for not giving up on this.
> 
>> Am 11.09.2012 um 17:29 schrieb Dagobert Michelsen <[email-masked]>:
>>> Am 11.09.2012 um 11:01 schrieb Stefano Lattarini <[email-masked]>:
>>>> Resurrecting an oldish bug report:
>>>> <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11524>
>>>>
>>>> Can you still reproduce the failures reported in bug#11524 with the
>>>> latest Automake version (1.12.3)?  If not, I will close the bug.
>>>
>>> I am just running the test suite, it is now about 75% finished without failures
>> and will probably take the night to finish. I'll keep you posted.
>>
>>
>> Nope, not better than the version before:
>>   http://buildfarm.opencsw.org/~dam/automake-1.12.3-test-suite.log
>>
> Did you run the testsuite with a particular PATH or environment setup? I
> ask because, when I tried to reproduce your failures on the same machine,
> I wasn't able to.
> 
> In particular, almost all of the reported failures are due to something
> like this:
> 
>     $ ./configure am_cv_CC_dependencies_compiler_type=...
>     ...
>     checking for gcc... gcc
>     checking whether the C compiler works... no
>     configure: error: C compiler cannot create executables
>     See `config.log' for more details
>     not ok 1 - [in-tree build] configure
>     FAIL: t/depcomp-lt-cpp.tap 1 - [in-tree build] configure
> 
> which reeks of spurious failure and/or environment botch-up to me.
>
Any news on this bug?  Can it still be reproduced with Automake 1.12.5?
Can it be reproduced with the development version of Automake from the
'master' branch?  Since the evidence so far seems to point to spurious
errors, I will close this report in a few days if I haven't heard back
by then.

Thanks,
  Stefano